#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x3596805e, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x42851793, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85a37165, "set_disk_ro" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xfe0a4746, "__bio_add_page" },
	{ 0xba6603c5, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xf540b724, "md_find_rdev_rcu" },
	{ 0x4f1d83f, "mddev_resume" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa8b05b77, "queue_limits_stack_bdev" },
	{ 0xa2a36247, "md_error" },
	{ 0x4344f0d4, "async_xor_val_offs" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0x755bdfb7, "mempool_init" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbe871f01, "md_finish_reshape" },
	{ 0x32347d70, "__traceiter_block_bio_remap" },
	{ 0x5855ee48, "async_gen_syndrome" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xfea0ae7f, "md_unregister_thread" },
	{ 0x7bec3979, "sync_page_io" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd1b4192e, "md_free_cloned_bio" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0x7d1b79f, "kthread_park" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xff3ad910, "kernfs_notify" },
	{ 0x3f7f7d6c, "register_md_submodule" },
	{ 0x7fe6a344, "md_wakeup_thread" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xbee9600f, "md_set_array_sectors" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe224190c, "md_allow_write" },
	{ 0x16e4d4f5, "rdev_clear_badblocks" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x92ef5391, "async_tx_quiesce" },
	{ 0x24325053, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x5d16d8cd, "radix_tree_replace_slot" },
	{ 0x26ddc82f, "async_xor" },
	{ 0x55663ba5, "__free_pages" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0xfa276d9e, "async_xor_offs" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4d76ca55, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd6561258, "submit_bio" },
	{ 0x627bba07, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x64a33526, "kthread_unpark" },
	{ 0xec8e89d8, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa7ce9c2a, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xaadd5fd4, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x6181a33b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8967168e, "md_wait_for_blocked_rdev" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x150fa49, "async_memcpy" },
	{ 0xdbe4c86d, "mddev_update_io_opt" },
	{ 0x40dfbb60, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6a557adc, "mddev_stack_rdev_limits" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x81b04226, "mddev_unlock" },
	{ 0x80badff4, "__tracepoint_block_unplug" },
	{ 0x5e376dc3, "bio_chain" },
	{ 0x8b33fb30, "__blk_trace_note_message" },
	{ 0x905f99db, "__traceiter_block_unplug" },
	{ 0x924fecf, "blkdev_issue_zeroout" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0x9ac46df2, "async_trigger_callback" },
	{ 0x16140a41, "async_raid6_2data_recov" },
	{ 0xb3d41a26, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x58a63fb8, "md_update_sb" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xedbb25fb, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xda6fa05c, "_atomic_dec_and_lock_irqsave" },
	{ 0x5e34c8ff, "md_flush_request" },
	{ 0xd32c8c52, "bio_init" },
	{ 0x499e7bf9, "md_register_thread" },
	{ 0x288daa72, "bio_alloc_clone" },
	{ 0x391d9714, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x799aa39c, "md_account_bio" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3212a41a, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xff516483, "bio_uninit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x593b5b19, "param_ops_bool" },
	{ 0xbce056a6, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xccc662ba, "async_syndrome_val" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xf8905feb, "alloc_pages" },
	{ 0xba322f02, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x67b939b2, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc864f13e, "md_check_recovery" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x4f41b7e2, "blkdev_issue_flush" },
	{ 0xd5d833a9, "mddev_suspend" },
	{ 0x82013a71, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7c55003f, "unregister_md_submodule" },
	{ 0x8deab07b, "badblocks_check" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaa0d6c24, "md_init_stacking_limits" },
	{ 0xc4e4f0d5, "queue_limits_set" },
	{ 0x29ef8bd3, "rdev_set_badblocks" },
	{ 0x7f780671, "bio_alloc_bioset" },
	{ 0x59da29a1, "async_raid6_datap_recov" },
	{ 0x95edd8a7, "submit_bio_wait" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x34482aa5, "mempool_exit" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0x8b3e969d, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb12af731, "blkdev_issue_discard" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "212129674368FA989758035");
MODULE_INFO(rhelversion, "9.7");
