#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x2185b901, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xd9cbdbbe, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x70afc2f6, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xa477c535, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x3bdbacac, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xb8c717a7, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x91e56db1, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xe1bf3d7d, "");
SYMBOL_CRC(nvdimm_region_notify, 0xc5046add, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xf7e9a9b3, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x62b414b2, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x490e9c09, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x42fb0c52, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x91d7dd11, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x6eebb41e, "");
SYMBOL_CRC(nd_device_unregister, 0x2fb136b9, "");
SYMBOL_CRC(__nd_driver_register, 0xd85d1c64, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x65618ee3, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x89f90d2a, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xe5cb6d32, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x3100c4b6, "_gpl");
SYMBOL_CRC(to_ndd, 0xc558c942, "");
SYMBOL_CRC(nvdimm_name, 0x864c75e8, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x3cbd28fa, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x4db4bf87, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x3c480081, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x020e7304, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x7dd4edef, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x3da36150, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x4b81428c, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x30e8eb73, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xf0c25474, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xec80860d, "_gpl");
SYMBOL_CRC(to_nd_region, 0x96562af9, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x0843fb8b, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x5bf0b5e1, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xa8acad58, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x5af5ed2a, "");
SYMBOL_CRC(nd_region_release_lane, 0xe3a2bc51, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x912fdccd, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xfedc3f10, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x25297e2a, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xcc915cd9, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x622e2870, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x8ecbb3ee, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xf2d1e5b5, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xa906104e, "");
SYMBOL_CRC(pmem_sector_size, 0x6e0d608f, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x663c010f, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x211cb56f, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x0f9c0019, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x1f5b0545, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x50fc355c, "");
SYMBOL_CRC(devm_namespace_enable, 0x2a4c108f, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xb1b77bfd, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xffcdc144, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x7d1b1142, "");
SYMBOL_CRC(is_nd_btt, 0xeda4c27f, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xda539ee0, "");
SYMBOL_CRC(nd_btt_version, 0x7f610022, "");
SYMBOL_CRC(nd_btt_probe, 0x023bee23, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x85a37165, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xbe3ddfe0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x779ed726, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x9ddc2d6e, "devm_memremap" },
	{ 0xf72b9b7, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x76126340, "badblocks_set" },
	{ 0xafb1ca7c, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa50e6e15, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xc15d9093, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb18a59c3, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x507ba2e5, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb972dbe3, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x67737294, "__dynamic_dev_dbg" },
	{ 0xff3ad910, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xd42531cc, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xf3088e97, "__devm_request_region" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x76dbfdf1, "put_device" },
	{ 0x22000500, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0xed4a624, "_dev_info" },
	{ 0x76546bd5, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x9a145818, "compat_ptr_ioctl" },
	{ 0xc6ff917c, "perf_pmu_migrate_context" },
	{ 0xb4219ca, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3756f999, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x748ef7cb, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x396dff89, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x1b189c2d, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x1cee90bc, "device_add" },
	{ 0x5b822ff0, "noop_llseek" },
	{ 0xff749637, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5446a67f, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xeab0d6e6, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0xee51ca1c, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x83d9d211, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x38abfcd2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe7582301, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x593b5b19, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9d1cf950, "__devm_release_region" },
	{ 0x2887ff51, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x3d03fec5, "kernfs_put" },
	{ 0x2ef523da, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x7c680f1e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x8deab07b, "badblocks_check" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0xc2c3577b, "__devm_add_action" },
	{ 0x60ed018e, "badblocks_clear" },
	{ 0xc6d75dcb, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9af32784, "driver_register" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x74c9d685, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "43F5608814EA4FDEF59B47D");
MODULE_INFO(rhelversion, "9.7");
