#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");

SYMBOL_CRC(uart_write_wakeup, 0x33f99b7e, "");
SYMBOL_CRC(uart_update_timeout, 0xb3a6d327, "");
SYMBOL_CRC(uart_get_baud_rate, 0xe8d89ee1, "");
SYMBOL_CRC(uart_get_divisor, 0x965c983c, "");
SYMBOL_CRC(uart_xchar_out, 0x8c8f7c64, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x080729f7, "");
SYMBOL_CRC(uart_resume_port, 0x2ee974b9, "");
SYMBOL_CRC(uart_register_driver, 0x3ad871a8, "");
SYMBOL_CRC(uart_unregister_driver, 0x850ea45f, "");
SYMBOL_CRC(uart_console_device, 0xce8038fb, "_gpl");
SYMBOL_CRC(uart_match_port, 0x877c903c, "");
SYMBOL_CRC(uart_handle_dcd_change, 0xd9a64758, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x96004cba, "_gpl");
SYMBOL_CRC(uart_insert_char, 0xe89402fa, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x4e4588e1, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0xf461fc29, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0xbce831c5, "");
SYMBOL_CRC(uart_remove_one_port, 0xdfacca60, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xc7199e4a, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf72b9b7, "dev_set_name" },
	{ 0xd74db6c4, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd07aae11, "tty_kref_put" },
	{ 0xc15d9093, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x39e93b89, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xa0c51af7, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa257de01, "tty_standard_install" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9764646e, "tty_hangup" },
	{ 0xc5f0416c, "tty_unregister_driver" },
	{ 0x67737294, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0x76dbfdf1, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xed32a9e8, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x91f4d6a1, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x764655b3, "tty_port_tty_wakeup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbed5034d, "_dev_alert" },
	{ 0x11335abb, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x748ef7cb, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x396dff89, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x1cee90bc, "device_add" },
	{ 0x2ffc2ce7, "tty_ldisc_ref" },
	{ 0xe12f8df4, "tty_vhangup" },
	{ 0xc4a72830, "irq_get_irq_data" },
	{ 0x815315bf, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7c8598f1, "tty_port_destroy" },
	{ 0xdc5bd65e, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd3d0936c, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xeab0d6e6, "driver_unregister" },
	{ 0xf992d9db, "tty_ldisc_deref" },
	{ 0x83d9d211, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x90c9fd0d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x707c67e6, "tty_port_register_device_attr_serdev" },
	{ 0x679ae203, "tty_port_close" },
	{ 0x38abfcd2, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xde02fdce, "nbcon_release" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2d70efc, "_dev_notice" },
	{ 0x1ae8303e, "nbcon_acquire" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9ea91917, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ed0952e, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x1680a664, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xf350330c, "seq_puts" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x98de7f56, "register_console" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9af32784, "driver_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f72f055, "tty_driver_kref_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x74c9d685, "bus_register" },
	{ 0xa5b5bbca, "tty_port_tty_get" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EC8DCB84A1B5E5208C3345");
MODULE_INFO(rhelversion, "9.7");
