#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x8a04842f, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xe2ea057b, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xa6ce1c53, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xcdeabfad, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xe7e1a6fe, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x9dcaaeb1, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xb2e5e599, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xd9b35afc, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xd03f5de3, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x50d1ae81, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x41492a26, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x83e3894a, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x085cfb23, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x1dfb130f, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x1397d9b0, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xd0814bf3, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xe70153f8, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xeea3e528, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x92425e32, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xe91656e7, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x9dac2bbe, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x87908d36, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x988bfc01, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e1dc690, "iptun_encaps" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x58132b70, "icmpv6_ndo_send" },
	{ 0x3eb685d7, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc835cd7, "alloc_netdev_mqs" },
	{ 0x2573452b, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50891a6b, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b7438bb, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcfb940ac, "ip_route_output_flow" },
	{ 0xd14cdd13, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0xca7a7240, "__dev_get_by_index" },
	{ 0xee2128ec, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd3d60e8f, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x2c69a28, "netdev_state_change" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x5b928377, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x472c5436, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0xabc6a927, "pskb_expand_head" },
	{ 0xb407615, "__skb_get_hash_net" },
	{ 0x9e5670a0, "dst_cache_get_ip4" },
	{ 0x3d2f4f7d, "dst_cache_set_ip4" },
	{ 0xb9cca472, "iptunnel_xmit" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc4c8c490, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6edffcf3, "__pskb_pull_tail" },
	{ 0x5e3d6714, "skb_scrub_packet" },
	{ 0xc2e384c0, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x42b7739f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D8436F3266C7F9883786BF9");
MODULE_INFO(rhelversion, "9.7");
