#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xcea0a601, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xbd5d97ec, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xecb07092, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xb86a8649, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xb5d11a2a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x97bada30, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x06e846bc, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x7520788e, "");
SYMBOL_CRC(ip_vs_conn_put, 0xe774142b, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x9e8d6385, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x20035aeb, "");
SYMBOL_CRC(register_ip_vs_app, 0xe89a942f, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x37fbdaa0, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x09297501, "");
SYMBOL_CRC(ip_vs_proto_get, 0xe4d583fc, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x376d9162, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe1ddb367, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xc6c57c45, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xeeb345b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2de01cbc, "nf_ct_ext_add" },
	{ 0x35d2ac1a, "nf_conntrack_find_get" },
	{ 0xbe3ddfe0, "try_module_get" },
	{ 0x42e91e10, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x418e7b6f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3abe98e9, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0xe1a40387, "xfrm_lookup" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0x775ff5c3, "register_net_sysctl" },
	{ 0xcfb0a2f4, "consume_skb" },
	{ 0x8a8e6391, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc91ee739, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x62f28196, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xf29ea47d, "kernel_bind" },
	{ 0xfadf4248, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x7b391462, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x70f0a873, "ip6_route_me_harder" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x209fa289, "__module_get" },
	{ 0xcfb940ac, "ip_route_output_flow" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x9a807a1, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x36e522c0, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x48d52eac, "proc_create_net_data" },
	{ 0xabc6a927, "pskb_expand_head" },
	{ 0xbd947d9d, "register_pernet_subsys" },
	{ 0x10940285, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x217b1d67, "nf_unregister_sockopt" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfb92923, "nf_register_net_hooks" },
	{ 0x68974db5, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb7a80b8b, "__alloc_skb" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0x1cfce124, "ipv6_sock_mc_join" },
	{ 0x76546bd5, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xffcc9e72, "ipv6_dev_get_saddr" },
	{ 0xb407615, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x472c5436, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0xa64b6c7d, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4531cf90, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xfe46a194, "nf_conntrack_alter_reply" },
	{ 0x34b933a4, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3a5c1f86, "skb_push" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xd3d0936c, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0xa3e2e7a1, "nf_ct_expect_alloc" },
	{ 0x841c4ed9, "skb_ensure_writable" },
	{ 0xf991525c, "iov_iter_kvec" },
	{ 0x9d49daf9, "ip_mc_join_group" },
	{ 0x70a728b9, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x6ad5e59d, "nf_unregister_net_hooks" },
	{ 0xf1aa6003, "inet_select_addr" },
	{ 0xd7e29721, "unregister_pernet_device" },
	{ 0x6957222, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcc61f103, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xebb34e22, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x1df12383, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x30d29530, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x8bf9626c, "kernel_connect" },
	{ 0x8f092a25, "skb_checksum" },
	{ 0x5ce88da7, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6edffcf3, "__pskb_pull_tail" },
	{ 0x9d624dbb, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7f1a8d4, "skb_trim" },
	{ 0xad6e7398, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc5d788c3, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xa349485b, "nf_ct_deliver_cached_events" },
	{ 0xf4c5052d, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf5739dad, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa8c50e85, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x52129dd8, "skb_set_owner_w" },
	{ 0x3f63f954, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x54032cc0, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaf13953c, "init_user_ns" },
	{ 0xee3f925e, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf12df135, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x95cef6a6, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x15613296, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3f10c4c, "ipv4_update_pmtu" },
	{ 0xdb7233e0, "nf_defrag_ipv6_enable" },
	{ 0xd14cdd13, "dst_release" },
	{ 0xf4fec0b3, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xf350330c, "seq_puts" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x74670499, "ip_local_out" },
	{ 0x8f010967, "genl_unregister_family" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xca162ec8, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8793556d, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a4d816c, "genl_register_family" },
	{ 0x8f26ea6b, "kernel_sendmsg" },
	{ 0x72dec586, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5aa47f8c, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0x934b4767, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "D2235D80462F950D9D80968");
MODULE_INFO(rhelversion, "9.7");
