#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x26087a98, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xced25370, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x2c6e3fbc, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xfd395b44, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xb344ba19, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x8640a2ca, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x4ba9970c, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x9cb85c63, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x23bcf881, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x3738d4bb, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x414b4228, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x7b844efb, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xbaf00b1a, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xaf03cdda, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x926b357b, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xc7b68a59, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xecca0fc9, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xa163e151, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x206cd771, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x6f7e5b7a, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xf84edd72, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x1cc7b727, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x25ed1075, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xe3bd4d0c, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x2843727e, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x89e2080c, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x674dcf74, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x1a2e38a1, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xdd37ec2d, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x692d5a1b, "");
SYMBOL_CRC(drm_dp_aux_init, 0xaacdd0e7, "");
SYMBOL_CRC(drm_dp_aux_register, 0xadd3e2c9, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x254b68bc, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x86cd7687, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x0bb5bdc8, "");
SYMBOL_CRC(drm_dp_read_desc, 0x384433cd, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xaa9a7f38, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x56fcf6e3, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x09d28a79, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x9af7368a, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xaf303847, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x0389da8c, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x12944647, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xf9b35f3d, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x48031918, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x090cebf6, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x936706c3, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xc661278d, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xe74aa8fa, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xe595b1d4, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x032b6a52, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x2bf9b827, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x0eb2d08e, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xa147f7d6, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xf379f9ad, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x409566be, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x60d55585, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x0db5930f, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x10bd6b2b, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x6df8002a, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x11656fdc, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xace9ec88, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x2b8147f2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xcb614974, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x2d6e8683, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x0bafb026, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xf4798e6f, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x1e83d694, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x1412c7cb, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x8d360f8b, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x2730074b, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x2d69bb93, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x2936ec22, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x7fadc4a8, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x341b6b84, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x34518b8e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x8326224a, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xda409f2e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xaf5de36a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x78e0669b, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x8db58d87, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x4f8ee799, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x05db8020, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x1c9c1bac, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x9c1d2303, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x5a1d828e, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x50abdaef, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x18f595be, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xbf313421, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xe43efda6, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x8ad8d5a3, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x036a7bbf, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x1d76a336, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xeda452ee, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x94a322c5, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x6649add7, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x7c932d42, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x8873ecbb, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xb872539c, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x62d05ed5, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xfa77bb03, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x0653625a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x572169a2, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x6c71c210, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x772ca25f, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x4e17e5c8, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x319b99ba, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x7e89c499, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x48c6108e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xe456f1b5, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0xbe31f52e, "");
SYMBOL_CRC(drm_scdc_write, 0xe4157f2d, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x49756ed6, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x63a56794, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x82470f4d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x6c6d9e6a, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x1d2e102a, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x19856be4, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0xb30a7cee, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x655a6c70, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xbe005811, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xb5b932f7, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xf4345db8, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xef857be8, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x418b382c, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x60b4bf58, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f24bf58, "drm_crtc_add_crc_entry" },
	{ 0x1283f016, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x90ad085b, "drm_connector_register" },
	{ 0x8e3b27b4, "cec_transmit_attempt_done_ts" },
	{ 0x2d49bd39, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xcf06b82c, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x8ed7f37c, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xebfb6e42, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xec45a6a5, "cec_s_conn_info" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfad5a527, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x62d5e193, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x90b82cf4, "drm_mode_object_put" },
	{ 0xd42531cc, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x9eb77c99, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x84dc12d4, "drm_atomic_private_obj_fini" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x26f31ec6, "drm_dev_printk" },
	{ 0x675f20c1, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x3fd37400, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xa1c975be, "drm_crtc_wait_one_vblank" },
	{ 0xe6a92122, "drm_modeset_lock" },
	{ 0x8c07c6d7, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x396dff89, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0xd21743f0, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd3d0936c, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x5e929af6, "drm_crtc_commit_wait" },
	{ 0xd754b1dd, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x29b546db, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x5625f3ca, "drm_atomic_get_old_private_obj_state" },
	{ 0x1b295305, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x38abfcd2, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc440bbdd, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0xf982c10d, "cec_allocate_adapter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe81f115c, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdf5d83db, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7cac7902, "hdmi_infoframe_pack" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x9bb50566, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x888d1998, "i2c_transfer" },
	{ 0x51651261, "drm_display_mode_from_cea_vic" },
	{ 0xf350330c, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x249ab660, "cec_fill_conn_info_from_drm" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x388a3bc1, "cec_received_msg_ts" },
	{ 0x5add4118, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x8793556d, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0xc9c75d2a, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x502c9043, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa7cb0afb, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "D032EFB2543D69C6768CFE4");
MODULE_INFO(rhelversion, "9.7");
