#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xaf7fbb47, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x54c5f261, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xa09d6a45, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x4248baa4, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x761a9f8a, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x0768d96f, "");
SYMBOL_CRC(mlx5_cmd_check, 0x43bcb040, "");
SYMBOL_CRC(mlx5_cmd_do, 0xa78fbd09, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xe602e73b, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x0c9b8443, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x0148f3f3, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xf79ee02c, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xb4aa5e03, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xa9937c58, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xd0cedb38, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x4b779f56, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x0e408298, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x5a39d7d6, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x32b7399b, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x973f3d62, "");
SYMBOL_CRC(mlx5_eq_enable, 0x5514c0dc, "");
SYMBOL_CRC(mlx5_eq_disable, 0x65cf53fd, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x2998627e, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x17621c3f, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xb848487b, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x1e629787, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x164648e2, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x3ecaa976, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x2c9d1809, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xc9996ff8, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x9828a045, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5b99d45c, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x3099ecc2, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x831509b5, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x4f05ba81, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x45820d8e, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x5bcf36ce, "");
SYMBOL_CRC(mlx5_create_cq, 0x7e6ed5d9, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xb111d67b, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x50349c3e, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa3ccd9bc, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x02d2bb20, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x19d62058, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x369eceda, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x91a71ed0, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x074e03dd, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xf2538a44, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xdfc99f14, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xd4ca1759, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x9b9380ee, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x1527096d, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xcdfadc6f, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xd68cfc49, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x904e5884, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x69d40219, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x89f52fcc, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x7393d5a0, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xc983bdb5, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xf511879d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x1d2752af, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x61e097e7, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x7fcefc91, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xf323c66f, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x4a702741, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x47392879, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xbbc64453, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x098b8854, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xeaf69c41, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x17e4db69, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x860b62f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x5153d337, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xb8eb8488, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x68d3fa9b, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xa4480492, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x28e16f56, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x12ac61ab, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xf59329f7, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x7901a890, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x08733322, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x186e9089, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x0806cd6e, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x6f3fa023, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x6451dcc1, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xfa9b3506, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xb347e4c0, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x1a25fe6d, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x563a0f1b, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x0b0dc29e, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x77365b5e, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x4fbcfc10, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x6eb0a855, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xdcbf6a88, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x00b0dacf, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xf24f2365, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x977b85b4, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x401e0999, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x18262f14, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x88fc81ed, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x94e5a56c, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x898af1ac, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x5df5c238, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xd66df23b, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xfef9e5ad, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x8e03bf31, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xd6820c71, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x1401a106, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xa2829a0e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x01af0797, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xd89bf789, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x5a04a189, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xd8246ef2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xba8e9342, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xf5bef246, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x21d0e0c2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xf40c3881, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x6d48c793, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xcff70125, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xcc058f8b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xbfb50e5a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x22027e08, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xca9c9217, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xa49f5c8d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xd0dd5b82, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x67fd68e7, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x7628c387, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xc2868c0d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x929257ac, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x5c94e124, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x8cf9fa01, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x1e262649, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xa5421270, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x6325dc8a, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x6026f81d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x1b1f5272, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x31e55aec, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x6ee3b228, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x932e3ab6, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xaf4688a5, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xe4cc95dc, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xc6c3e924, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x8327ce84, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd81d85d1, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x648a3896, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xdba56660, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x5c6623ed, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x6cfa8f1e, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xf4792c84, "");
SYMBOL_CRC(mlx5_fc_create, 0xe5611f6a, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x09479ae9, "");
SYMBOL_CRC(mlx5_fc_query, 0xda83b935, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x6b88c1af, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x15147be8, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x4e2a7844, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x2118e488, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x92b93a50, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x5406358a, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x85b0b1bf, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x6d2e761d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xdba6fb7c, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x89a2e117, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x3c4c2108, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xddfab0d4, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x015c01a3, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xa897ea4e, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xca910dab, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x9c9e77b8, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x50223696, "");
SYMBOL_CRC(mlx5_notifier_register, 0xd305f0a2, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x274881b2, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x56d4cdc0, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x28eb4157, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x195e98e2, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xb0b7f2fe, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x3f98e070, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xa257f5fb, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x1e38486c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3b3cf8c3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb72cffaf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x58df80c0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7fd709fe, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd6c3be3d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbb475e47, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xe91303e8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x22bce683, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x3912051a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x872e7c67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x62c71b5e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x32fc77d1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x56821b93, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe4e09c2b, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x4167cdfd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x13ba4f54, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xb6e6c93c, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xed1274bb, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x6ae985d2, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xc54e6beb, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x322bb74a, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x7825035d, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x05b53eba, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x4cb005aa, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xec53a6a2, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x4b1f043d, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x77ef1a70, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x8596a10e, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xcc1a60c3, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xc371ec39, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xd5970a07, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xafd0d4db, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x97ddc5db, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xb81ef5ef, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xd67ede13, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x8043a133, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xba40827e, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x45a3eadd, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x77efab56, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x8052776d, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xc12fa1df, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xb64ccadf, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x64fade05, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x37897e7f, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x0a33bfb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7e72aa01, "__inet_lookup_established" },
	{ 0xb5849b8a, "xsk_tx_completed" },
	{ 0x5baf49df, "napi_alloc_skb" },
	{ 0x8f6041ab, "alloc_etherdev_mqs" },
	{ 0x8d145333, "netdev_lower_get_next" },
	{ 0x5cd2e76d, "secpath_set" },
	{ 0x3e7033bb, "flow_block_cb_lookup" },
	{ 0x55a0c0c6, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xccb69cf, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x92cdafdf, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xddff1d82, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3748a7a6, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xe716b611, "bpf_prog_put" },
	{ 0x1aa52fea, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x16781c44, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x121bb581, "pci_cfg_access_unlock" },
	{ 0x16628138, "xp_dma_map" },
	{ 0xe0c971e3, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x6ad1461d, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0x1d407107, "debugfs_attr_write" },
	{ 0xeca0bab2, "dma_pool_create" },
	{ 0x2d49bd39, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x67715f36, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x74951dcb, "pci_enable_device" },
	{ 0x713c4086, "skb_put" },
	{ 0xcf1d6c61, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9272c6fb, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xf8276a17, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7c5e09fb, "register_fib_notifier" },
	{ 0x30a5e60a, "auxiliary_device_init" },
	{ 0xae319f24, "ip6_dst_hoplimit" },
	{ 0xdeba66a5, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6276b55, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0xc805bae9, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xda4857d1, "netif_napi_add_weight" },
	{ 0x69db1ef5, "pci_enable_atomic_ops_to_root" },
	{ 0xd2896fa8, "seq_release" },
	{ 0x3428a257, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x4e249c36, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xbfb8fa82, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x4071d6b4, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xc9390580, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0x7331a755, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x57bc573e, "ndo_dflt_bridge_getlink" },
	{ 0x2158f0a3, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xbdc17aeb, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x88180558, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x9d20a121, "register_netdevice_notifier_dev_net" },
	{ 0x5c726097, "dma_unmap_page_attrs" },
	{ 0xd30fb3ba, "trace_event_printf" },
	{ 0xf421c0d8, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x84f55b36, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x87a2a9da, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xccb8829f, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x5b7a796a, "pci_num_vf" },
	{ 0x958158cc, "debugfs_create_atomic_t" },
	{ 0x2d7aa16d, "flow_rule_match_eth_addrs" },
	{ 0x3a620f65, "pci_disable_ptm" },
	{ 0x3d882cef, "skb_add_rx_frag" },
	{ 0x90dc333b, "xfrm_state_check_expire" },
	{ 0xe6381d94, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x595e924d, "ptp_clock_index" },
	{ 0x7d176509, "pci_request_regions" },
	{ 0x78810bdd, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xdd65eddf, "trace_event_raw_init" },
	{ 0x19c0f7b8, "flow_block_cb_free" },
	{ 0xfa43462, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0x21bb12b9, "xp_can_alloc" },
	{ 0x7051e492, "psample_sample_packet" },
	{ 0x8d41d3e4, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x69f7dabc, "devlink_alloc_ns" },
	{ 0x9dbe99e9, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x58fb00a2, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7fee5903, "devlink_register" },
	{ 0x2f00283b, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x3344440e, "seq_lseek" },
	{ 0xa994cd05, "page_pool_destroy" },
	{ 0x22668a21, "xdp_do_redirect" },
	{ 0x690e8a30, "devlink_free" },
	{ 0x762b5c6c, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42733937, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x9ff6e706, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xf844b305, "udp_tunnel_nic_ops" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x57ceea63, "devl_rate_nodes_destroy" },
	{ 0xfa63b50c, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xabcbb36c, "pci_irq_vector" },
	{ 0xe273a6f7, "flow_rule_match_ipv4_addrs" },
	{ 0xcfb940ac, "ip_route_output_flow" },
	{ 0x723f824c, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x67737294, "__dynamic_dev_dbg" },
	{ 0x4e76f5e5, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xe6b0cd10, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xf81a06a5, "netdev_err" },
	{ 0xf8eb6c8e, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa77e2e00, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd42531cc, "dev_driver_string" },
	{ 0x9324e5de, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe5e2cfe3, "trace_event_buffer_commit" },
	{ 0x14a9cf2b, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x12c5ea5a, "ptp_find_pin" },
	{ 0x42b7739f, "eth_type_trans" },
	{ 0x7bf74682, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x738e4cae, "request_firmware_direct" },
	{ 0xcd5d5718, "flow_rule_match_icmp" },
	{ 0xe08803cf, "auxiliary_driver_unregister" },
	{ 0xbde08810, "dma_map_page_attrs" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0x76ddf488, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x30e00fb, "devlink_port_attrs_pci_vf_set" },
	{ 0x2c74aeb3, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x600e39c7, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x76dbfdf1, "put_device" },
	{ 0x969ad660, "trace_event_ignore_this_pid" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x4e550f2d, "__napi_schedule" },
	{ 0xfa13fb54, "devlink_port_health_reporter_create" },
	{ 0x6da3c5eb, "pcie_relaxed_ordering_enabled" },
	{ 0x1603b1b5, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7eda829f, "kmalloc_node_trace" },
	{ 0xfcec5cf5, "devlink_port_attrs_pci_pf_set" },
	{ 0x1e69ef05, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xb214532e, "netif_device_detach" },
	{ 0x55663ba5, "__free_pages" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0xed4a624, "_dev_info" },
	{ 0xb6a80bca, "skb_vlan_pop" },
	{ 0x79fa786e, "napi_gro_receive" },
	{ 0x9920b8c3, "netif_device_attach" },
	{ 0x5bbcf705, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4d48a6f0, "netdev_pick_tx" },
	{ 0xd1e73e2e, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xdab97f5b, "xp_raw_get_dma" },
	{ 0x2547b716, "eth_get_headlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x3ef4da03, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x5a564b7b, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xadd49fa, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x29362bdb, "free_fib_info" },
	{ 0x82abd182, "devl_health_reporter_create" },
	{ 0xcb1c2f61, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x2ce41792, "pci_msix_can_alloc_dyn" },
	{ 0x42c7aeb8, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6f86a094, "unregister_netdevice_notifier_dev_net" },
	{ 0x8140e7ec, "pci_find_capability" },
	{ 0xc4b0b3a3, "build_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x97c9eada, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdde048cb, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc1512526, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x84b70732, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xea217647, "__dma_sync_single_for_cpu" },
	{ 0x3fe60645, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xca7a7240, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x996cad23, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xddd370c, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd4f4354f, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x396dff89, "_dev_err" },
	{ 0x472c5436, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x4ce69baf, "softnet_data" },
	{ 0xbe6ed2ea, "ipv6_stub" },
	{ 0xafceea67, "simple_open" },
	{ 0xdb8f867f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xccfd579c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaf21353b, "simple_attr_release" },
	{ 0xc55e499a, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2316050, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x524b8b63, "xsk_tx_peek_desc" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xcdd62631, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xbadc9897, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0xe5634277, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xc4a72830, "irq_get_irq_data" },
	{ 0x6c24df89, "dev_remove_pack" },
	{ 0xb7ae9476, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x4669048b, "dev_get_by_index" },
	{ 0xc734f833, "bpf_trace_run5" },
	{ 0x38757133, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd6fa604f, "skb_store_bits" },
	{ 0xb993758, "devl_port_register_with_ops" },
	{ 0x488653c5, "dev_get_by_index_rcu" },
	{ 0xa1cf4c0e, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x18143ee4, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xcf0510fa, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3a5c1f86, "skb_push" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0xbd37ea2d, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x8b75a33c, "debugfs_remove" },
	{ 0x109c3470, "pci_read_config_word" },
	{ 0x34947c9d, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0xbe016574, "xsk_clear_rx_need_wakeup" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xccc68211, "unregister_netdevice_notifier_net" },
	{ 0x26ff17cd, "auxiliary_device_sysfs_irq_remove" },
	{ 0xcffdaeac, "xsk_uses_need_wakeup" },
	{ 0xeee2e5fc, "register_netdev" },
	{ 0xc04bc5fc, "unregister_fib_notifier" },
	{ 0xa03f757a, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xda5945da, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xa0187296, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x50891a6b, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x747e402e, "debugfs_create_size_t" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe07c1432, "devl_params_register" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaf191659, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa429866d, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9db6f318, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2450ef0b, "pci_restore_state" },
	{ 0x32a0cb3b, "bpf_trace_run1" },
	{ 0xacb19b7c, "__inet6_lookup_established" },
	{ 0x8029a6fc, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x90c9fd0d, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x19cf89ba, "page_pool_create" },
	{ 0x8f092a25, "skb_checksum" },
	{ 0x48964b3e, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x38abfcd2, "_dev_warn" },
	{ 0xaf173d14, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xfed31670, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa73d67ac, "devl_resources_unregister" },
	{ 0x412d816e, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdd3ea0d9, "netif_schedule_queue" },
	{ 0x2004d510, "__alloc_pages" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x5c7f21, "pci_set_master" },
	{ 0x275fe2e3, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9aa196e5, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdf558111, "flow_rule_match_ipv6_addrs" },
	{ 0x9cafdc9, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x4df2a462, "devl_params_unregister" },
	{ 0x561061ad, "ptp_clock_unregister" },
	{ 0x6edffcf3, "__pskb_pull_tail" },
	{ 0x66e35e2a, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc43b589a, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xa4919d42, "devlink_trap_report" },
	{ 0x458a2a7, "__neigh_event_send" },
	{ 0xf4d13740, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x21c125cb, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0xb7549f39, "devl_traps_register" },
	{ 0x996ef6a6, "devl_unlock" },
	{ 0x4b50f2f4, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x2dfea043, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc0249e44, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x51ab0497, "flow_rule_match_enc_control" },
	{ 0xbafdfbd2, "bpf_trace_run3" },
	{ 0xe9b28f2e, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf5739dad, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2a12adc9, "rps_may_expire_flow" },
	{ 0x9cff0ee6, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0x17ba2e43, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xd9c309b4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6da755a7, "netdev_reset_tc" },
	{ 0xc4c8c490, "neigh_destroy" },
	{ 0xa471a18c, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7c769fad, "trace_event_buffer_reserve" },
	{ 0x10399421, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xf5cf9589, "debugfs_create_x32" },
	{ 0x9ec87e33, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x19cf6294, "flow_rule_match_enc_ports" },
	{ 0x6a8c14c4, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x30ef094d, "pci_release_regions" },
	{ 0xe7450cc8, "netif_queue_set_napi" },
	{ 0x96567365, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xd3fe181, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x88719416, "devl_assert_locked" },
	{ 0xdfbbdbfb, "pcie_print_link_status" },
	{ 0xa9c4b5ba, "xp_set_rxq_info" },
	{ 0x65be3479, "flow_rule_match_vlan" },
	{ 0xf8905feb, "alloc_pages" },
	{ 0x505b6d1d, "devl_port_unregister" },
	{ 0x17a59fa2, "xdp_rxq_info_unreg" },
	{ 0x6c287585, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x447ec868, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x41c9ef4b, "netdev_master_upper_dev_get_rcu" },
	{ 0x9cb04ad8, "__xdp_rxq_info_reg" },
	{ 0x459d7b3c, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0e4a9e1, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5c1715ee, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x95e8eff1, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f6fcaeb, "netif_carrier_off" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x1046402e, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x60e5f2ac, "devlink_priv" },
	{ 0x9b9ab161, "pci_enable_ptm" },
	{ 0xba81d02e, "devlink_port_register_with_ops" },
	{ 0xa49bed37, "pci_disable_sriov" },
	{ 0x2454b7cf, "metadata_dst_alloc" },
	{ 0xd14cdd13, "dst_release" },
	{ 0x48e289ed, "netif_carrier_on" },
	{ 0xcd71dd2b, "netdev_set_num_tc" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x177a93be, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x6e7a0928, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x157cc8c1, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf350330c, "seq_puts" },
	{ 0x9ab78af4, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xc4269772, "page_pool_update_nid" },
	{ 0xaff8b31e, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x746050b5, "dma_set_mask" },
	{ 0x121fb313, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x38358a1f, "netif_set_tso_max_size" },
	{ 0x6dfde555, "vlan_dev_vlan_id" },
	{ 0x3c5187ee, "__skb_flow_dissect" },
	{ 0x61329629, "pci_msix_alloc_irq_at" },
	{ 0x3abf31e1, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x2448782, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe70a3389, "skb_coalesce_rx_frag" },
	{ 0x8285ee72, "xp_raw_get_data" },
	{ 0xb122ecfb, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x3e2f92a6, "napi_schedule_prep" },
	{ 0xa8817032, "qdisc_reset" },
	{ 0x99d06d86, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x47162380, "xp_alloc_batch" },
	{ 0xa6108a9f, "flow_rule_match_mpls" },
	{ 0x6bd55448, "napi_disable" },
	{ 0x5d745f4, "dev_kfree_skb_any_reason" },
	{ 0xa983d2d1, "dcb_ieee_delapp" },
	{ 0x958e39dd, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa2ddc7e4, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x19226027, "debugfs_create_u8" },
	{ 0x686f9fd, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xba84bc5c, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x5ae7383e, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x2986056a, "skb_ext_add" },
	{ 0x98abfa1c, "pcie_bandwidth_available" },
	{ 0xfc52203, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x2cfb980a, "flow_rule_match_control" },
	{ 0xabbf0a2f, "flow_rule_match_ip" },
	{ 0x74ea012d, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf292f09b, "auxiliary_device_sysfs_irq_add" },
	{ 0xfd5dbfd2, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd2cfc841, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x84a40872, "xsk_tx_release" },
	{ 0x87bdd230, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xeea7cf51, "pci_iov_get_pf_drvdata" },
	{ 0xf1a9959, "pci_write_config_dword" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0xf7dbf501, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd0595828, "neigh_lookup" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0x27245454, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "4A792E5A7EFFBF82CEFF356");
MODULE_INFO(rhelversion, "9.7");
