#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x09589890, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x3ed5a3d4, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0xa15e0b5e, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x3accf8db, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x35bdfbab, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x0ea5ae61, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xb57697d1, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x70c97267, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x991e3628, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x4f4e8adf, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x81761c18, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x958c1e04, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x2eb25894, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x9476505c, "_gpl");
SYMBOL_CRC(qeth_poll, 0x10dc9ee2, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xeb8baddf, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x60418cb0, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x53169eff, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0xf25db80e, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x0c228375, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xa89ae334, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x14a513b0, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x4cc9be5f, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x39b08fe6, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x34b54dc8, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xc9e47214, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0xd92c9ad3, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x58b9cae6, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x358dc362, "_gpl");
SYMBOL_CRC(qeth_open, 0x6b9137cf, "_gpl");
SYMBOL_CRC(qeth_stop, 0xc1db9747, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccf5bf54, "ccw_device_get_cssid" },
	{ 0x5baf49df, "napi_alloc_skb" },
	{ 0x8f6041ab, "alloc_etherdev_mqs" },
	{ 0x56aa7125, "ccw_device_halt" },
	{ 0x312e4e3e, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x49e5ff1c, "qdio_shutdown" },
	{ 0x13ad4816, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x11650966, "ccwgroup_set_offline" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xc0be02a3, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0x5f46b4a7, "qdio_allocate" },
	{ 0x3d096708, "qdio_inspect_output_queue" },
	{ 0x713c4086, "skb_put" },
	{ 0xcf1d6c61, "skb_tstamp_tx" },
	{ 0xdeba66a5, "netdev_update_features" },
	{ 0xcfb0a2f4, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xda4857d1, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x76ea28b6, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3d882cef, "skb_add_rx_frag" },
	{ 0x562c66a1, "debug_set_level" },
	{ 0x2d3a45d5, "register_service_level" },
	{ 0xc198a17, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7454583a, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3344440e, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x461616d2, "qdio_add_bufs_to_output_queue" },
	{ 0x723f824c, "__netif_napi_del" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0xb972dbe3, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xe2d8900, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5b7315d6, "qdio_get_ssqd_desc" },
	{ 0x3375b667, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xabc6a927, "pskb_expand_head" },
	{ 0x10940285, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x42b7739f, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x76ddf488, "napi_complete_done" },
	{ 0xc835cd7, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb414c86d, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x5f44d11c, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x76dbfdf1, "put_device" },
	{ 0x4e550f2d, "__napi_schedule" },
	{ 0xc1b148f8, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb214532e, "netif_device_detach" },
	{ 0x55663ba5, "__free_pages" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xed4a624, "_dev_info" },
	{ 0x79fa786e, "napi_gro_receive" },
	{ 0x4d48a6f0, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x80f80e66, "ccwgroup_probe_ccwdev" },
	{ 0xd4d682b, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x396dff89, "_dev_err" },
	{ 0x4ce69baf, "softnet_data" },
	{ 0xc9cc8973, "ccw_device_get_id" },
	{ 0x56080483, "__root_device_register" },
	{ 0xf0e4c3a6, "ccw_device_get_ciw" },
	{ 0xbadc9897, "netif_set_real_num_tx_queues" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0x2ec42c8b, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa1cf4c0e, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3a5c1f86, "skb_push" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0xccb53ec8, "ccwgroup_driver_register" },
	{ 0x8b75a33c, "debugfs_remove" },
	{ 0x34947c9d, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x50891a6b, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe6feeb5d, "__debug_sprintf_event" },
	{ 0xaf191659, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x89eac9fd, "netif_tx_stop_all_queues" },
	{ 0x8029a6fc, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x4741ccd9, "ccw_device_set_offline" },
	{ 0x38abfcd2, "_dev_warn" },
	{ 0x758483f, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdd3ea0d9, "netif_schedule_queue" },
	{ 0x2004d510, "__alloc_pages" },
	{ 0x79358e1e, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x9cafdc9, "netdev_set_tc_queue" },
	{ 0xe4b2ac4, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6edffcf3, "__pskb_pull_tail" },
	{ 0xc43b589a, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xc5d788c3, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb93f3865, "debug_hex_ascii_view" },
	{ 0xf5099ea7, "debug_unregister" },
	{ 0xe9b28f2e, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x5503b452, "ccwgroup_driver_unregister" },
	{ 0x9b58672c, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde8fea32, "ccw_device_get_iid" },
	{ 0x492631f7, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f6fcaeb, "netif_carrier_off" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8308a989, "ccw_device_set_online" },
	{ 0xcd71dd2b, "netdev_set_num_tc" },
	{ 0x22915bbc, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x177a93be, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaff8b31e, "single_release" },
	{ 0xc9cdc401, "qdio_add_bufs_to_input_queue" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x31b1098, "__napi_schedule_irqoff" },
	{ 0x3e2f92a6, "napi_schedule_prep" },
	{ 0x99d06d86, "napi_consume_skb" },
	{ 0xd4853712, "debug_sprintf_view" },
	{ 0x88b446cc, "qdio_stop_irq" },
	{ 0x6bd55448, "napi_disable" },
	{ 0x258172e0, "qdio_free" },
	{ 0x686f9fd, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x5ae7383e, "debugfs_create_dir" },
	{ 0x24998744, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xcc0db36c, "ccw_driver_unregister" },
	{ 0x20b9731b, "skb_clone_tx_timestamp" },
	{ 0x7c98bc5e, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x47dec7c, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.7");
