#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x7ec7a01b, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x22945f6c, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xfc23bac5, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xf47f5da9, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xe8cda35d, "");
SYMBOL_CRC(fuse_abort_conn, 0xd05ba935, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x104be535, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xd7384759, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xf8ba0d1d, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x5847c4a2, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x797519fc, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x463c390c, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x04e3d75d, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x94736cc9, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x4d420d26, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x16ca36dc, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x62e08550, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x92828024, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x288e8ec4, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc60cb1c4, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x7d55a5ba, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x4ba0fbc2, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x63465a24, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x04167a79, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x1c048b21, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x0a91d44c, "");
SYMBOL_CRC(fuse_do_ioctl, 0x7c7827fa, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xb58ac9fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3b8569b, "super_setup_bdi_name" },
	{ 0xb4edd0d9, "posix_test_lock" },
	{ 0xff7a7419, "truncate_inode_pages" },
	{ 0x5509973c, "generic_copy_file_range" },
	{ 0x9aa8cd5d, "noop_backing_dev_info" },
	{ 0x6134b9ac, "pipe_lock" },
	{ 0xa6ea6db6, "generic_fillattr" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0xca8571f0, "vfs_fsync_range" },
	{ 0xf616401, "setattr_prepare" },
	{ 0x8a49bb15, "clear_nlink" },
	{ 0xa9d3cbd5, "file_check_and_advance_wb_err" },
	{ 0xd1784a36, "d_alloc_parallel" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xbf4e708a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x21f2a2c, "misc_deregister" },
	{ 0xb6daaca, "make_vfsgid" },
	{ 0x3dde623b, "clear_inode" },
	{ 0xd93f8ff9, "inode_to_bdi" },
	{ 0x1ae93c00, "find_pid_ns" },
	{ 0xdc593c1c, "grab_cache_page_write_begin" },
	{ 0x42196ccc, "simple_dir_inode_operations" },
	{ 0x1983eb83, "pipe_unlock" },
	{ 0x45e2fc10, "fs_param_is_string" },
	{ 0x8e9b6c38, "folio_unlock" },
	{ 0x6ba1cb7, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xdfac8de0, "new_inode" },
	{ 0x6e152510, "filemap_map_pages" },
	{ 0xaca0aef0, "complete" },
	{ 0x7e54f37f, "dump_page" },
	{ 0x42d1b26b, "forget_all_cached_acls" },
	{ 0xf0b85d22, "init_special_inode" },
	{ 0x4b6e1458, "unregister_filesystem" },
	{ 0x476c0cb9, "task_active_pid_ns" },
	{ 0x6597424f, "iov_iter_single_seg_count" },
	{ 0xe95a55d1, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3b2ea239, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc0aa8558, "d_alloc_name" },
	{ 0xf2302706, "replace_page_cache_folio" },
	{ 0xf6bfdf44, "inode_query_iversion" },
	{ 0xa63cd01b, "iov_iter_advance" },
	{ 0xb751a00b, "kill_fasync" },
	{ 0x226c4a5a, "d_make_root" },
	{ 0x378c8cc7, "sb_set_blocksize" },
	{ 0x546bef16, "fget" },
	{ 0x2186aa25, "simple_fill_super" },
	{ 0x3e17de6e, "xas_find" },
	{ 0xffbfa218, "invalidate_mapping_pages" },
	{ 0x5ed1432c, "sync_filesystem" },
	{ 0x23693f65, "noop_dirty_folio" },
	{ 0x6f6e63df, "sget_fc" },
	{ 0xd84a1cdc, "param_set_uint" },
	{ 0x4778d623, "d_splice_alias" },
	{ 0x6b1a14c1, "iov_iter_get_pages2" },
	{ 0x66cee57d, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9639d4b9, "page_get_link" },
	{ 0xaa21a5da, "generic_permission" },
	{ 0xb19d03a7, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc688ffa1, "invalidate_inode_pages2_range" },
	{ 0xf2b3b39f, "posix_lock_file" },
	{ 0x2c311975, "finish_open" },
	{ 0x236ba415, "dax_iomap_rw" },
	{ 0xf5f5574c, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x4a2e5dae, "logfc" },
	{ 0xd2335a8a, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5761b519, "init_pid_ns" },
	{ 0x3dc450f2, "dax_iomap_fault" },
	{ 0x21585aac, "iov_iter_init" },
	{ 0xc7489a7, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xdf273a8d, "sysfs_create_mount_point" },
	{ 0xce5f36bd, "generic_file_write_iter" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8f5b963f, "register_filesystem" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0x8293963c, "folio_add_lru" },
	{ 0xf6ae6a5e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xce061c8b, "sync_inode_metadata" },
	{ 0x28da0fae, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x726da3c7, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x26ec8c22, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x58101f74, "get_tree_nodev" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x31fa043e, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4050bf0, "fs_param_is_u32" },
	{ 0x61f54700, "inode_newsize_ok" },
	{ 0xcb3767c4, "d_drop" },
	{ 0x4c6e79af, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x9e011617, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3a52245, "bdi_put" },
	{ 0xb13ba51c, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x808bc96e, "param_get_uint" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x891744dd, "make_kuid" },
	{ 0x43024925, "truncate_inode_pages_final" },
	{ 0xb63eff24, "fs_kobj" },
	{ 0xaab93ecb, "__filemap_set_wb_err" },
	{ 0xffa9fbbc, "simple_dir_operations" },
	{ 0x2fe0a308, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x55663ba5, "__free_pages" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc8d1df47, "put_pid_ns" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x296f5043, "setattr_should_drop_suidgid" },
	{ 0x777e58a1, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x2cba367b, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x2408de2a, "fs_context_for_submount" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0f1cbda, "inode_init_once" },
	{ 0xfbe20fad, "file_write_and_wait_range" },
	{ 0x9a145818, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x36647110, "nosteal_pipe_buf_ops" },
	{ 0xbb0d63a2, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa7d1d6df, "inode_nohighmem" },
	{ 0x21346d95, "release_pages" },
	{ 0xae456ac, "generic_file_direct_write" },
	{ 0x76530bc1, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c1c86bf, "generic_file_read_iter" },
	{ 0xd7ed510b, "inode_maybe_inc_iversion" },
	{ 0xd4196d17, "unlock_page" },
	{ 0xe68bde41, "inc_node_page_state" },
	{ 0x64116197, "thp_get_unmapped_area" },
	{ 0x4dea1053, "memchr" },
	{ 0x1da1ae9, "truncate_pagecache" },
	{ 0x76ac7a46, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xae72a07, "dec_node_page_state" },
	{ 0x39637482, "write_cache_pages" },
	{ 0xbe4cb8b5, "file_update_time" },
	{ 0x6c4d83c0, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x2fd23afc, "from_kgid" },
	{ 0xcb08fc09, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6df1e953, "file_remove_privs" },
	{ 0x3897645f, "write_inode_now" },
	{ 0x92457169, "dax_writeback_mapping_range" },
	{ 0x6dce77d7, "d_obtain_alias" },
	{ 0xe67d56cb, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcd536d8a, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd707680f, "finish_no_open" },
	{ 0x6b9a7da1, "__folio_start_writeback" },
	{ 0xf89304fa, "kill_litter_super" },
	{ 0x64a7dc12, "folio_end_writeback" },
	{ 0x60b66391, "from_kuid" },
	{ 0xd91cf950, "current_in_userns" },
	{ 0x47f07b6, "fc_mount" },
	{ 0x551b2e10, "sysfs_remove_mount_point" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5b4fba99, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x1a5adb8a, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc92f0ddf, "d_delete" },
	{ 0xf88f94e2, "from_kgid_munged" },
	{ 0x266966f7, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x281c2565, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0xde4214db, "wb_writeout_inc" },
	{ 0xe798236d, "jiffies" },
	{ 0x61d4cea3, "nonseekable_open" },
	{ 0xe44d4c65, "dax_finish_sync_fault" },
	{ 0xe7064ee6, "set_page_dirty" },
	{ 0x1112ba5d, "copy_page_from_iter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e7d89ca, "redirty_page_for_writepage" },
	{ 0x6be29cd5, "noop_direct_IO" },
	{ 0x305693b8, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe2a2881, "generic_read_dir" },
	{ 0xa9330a4a, "d_add" },
	{ 0x322d01d3, "set_page_writeback" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaf13953c, "init_user_ns" },
	{ 0x4ac397bb, "d_find_alias" },
	{ 0xf170b779, "invalidate_inode_pages2" },
	{ 0xf8905feb, "alloc_pages" },
	{ 0x279cae48, "inc_nlink" },
	{ 0xba322f02, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5effeb79, "get_tree_bdev" },
	{ 0x6fa165c6, "set_anon_super_fc" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0xd875f65b, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb4ca198f, "generic_delete_inode" },
	{ 0xb9afcb6f, "deactivate_locked_super" },
	{ 0xee82148e, "touch_atime" },
	{ 0x8a95cb24, "__percpu_down_read" },
	{ 0xd5ce55ec, "__d_lookup_unhash_wake" },
	{ 0xe4475ce9, "set_page_dirty_lock" },
	{ 0x722214b7, "pid_nr_ns" },
	{ 0xdb9012de, "generic_file_open" },
	{ 0xe3e91259, "truncate_inode_pages_range" },
	{ 0x37823560, "__put_user_ns" },
	{ 0x7795edc4, "__folio_lock" },
	{ 0x3ec0c42e, "filemap_dirty_folio" },
	{ 0x2383979a, "pagecache_get_page" },
	{ 0xf350330c, "seq_puts" },
	{ 0xdac81851, "stream_open" },
	{ 0x56497d50, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x20f56ae0, "__wake_up_sync" },
	{ 0xa9e7e0bf, "add_to_pipe" },
	{ 0x7816d81b, "__fs_parse" },
	{ 0x5816c1a8, "dax_layout_busy_page_range" },
	{ 0x98f66ac2, "posix_acl_to_xattr" },
	{ 0xf903a8fd, "dget_parent" },
	{ 0xf54e8487, "kill_anon_super" },
	{ 0xd5f7d884, "from_kuid_munged" },
	{ 0x676155ff, "dotdot_name" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0xb0b1b33a, "iget5_locked" },
	{ 0x7f0ea926, "security_dentry_init_security" },
	{ 0x7ab8c1fb, "filemap_write_and_wait_range" },
	{ 0x2886462c, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbc4dd223, "generic_write_checks" },
	{ 0xffc15a47, "iov_iter_revert" },
	{ 0x3609e7b3, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69fda216, "mntget" },
	{ 0x993a1c19, "kmem_cache_alloc_lru" },
	{ 0x45bb8cb9, "filemap_fault" },
	{ 0x214245b3, "d_invalidate" },
	{ 0xa6ba6936, "__mark_inode_dirty" },
	{ 0x3eb8ce10, "generic_file_llseek" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x555ccb97, "up_read" },
	{ 0xfb8e1f78, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x4ab81766, "drop_nlink" },
	{ 0xd9873594, "fault_in_iov_iter_readable" },
	{ 0xda0ce3b8, "filemap_check_errors" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0xf6cb86f, "bdi_set_max_ratio" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0xd0faa3bc, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DDAE7F7D77AC64A75F806F2");
MODULE_INFO(rhelversion, "9.7");
