#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x0e2a8e0a, "");
SYMBOL_CRC(wpan_phy_for_each, 0x49cf3073, "");
SYMBOL_CRC(wpan_phy_new, 0x1dd2d70e, "");
SYMBOL_CRC(wpan_phy_register, 0x42718d11, "");
SYMBOL_CRC(wpan_phy_unregister, 0xb90edd6f, "");
SYMBOL_CRC(wpan_phy_free, 0x418ae0d5, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xa6181f24, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x68294abb, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x12026fd3, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x362b26b8, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe0c971e3, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf72b9b7, "dev_set_name" },
	{ 0x8e283da7, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4e249c36, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd30fb3ba, "trace_event_printf" },
	{ 0xc15d9093, "device_initialize" },
	{ 0xfadf4248, "genlmsg_put" },
	{ 0xdd65eddf, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42733937, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xfa63b50c, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb972dbe3, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7b578539, "netlink_broadcast_filtered" },
	{ 0x7605275b, "device_rename" },
	{ 0xe5e2cfe3, "trace_event_buffer_commit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x76dbfdf1, "put_device" },
	{ 0x969ad660, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb7a80b8b, "__alloc_skb" },
	{ 0xeae25a22, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xca7a7240, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x996cad23, "perf_trace_run_bpf_submit" },
	{ 0x472c5436, "init_net" },
	{ 0xdb8f867f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1cee90bc, "device_add" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0xa64b6c7d, "netlink_unicast" },
	{ 0x4669048b, "dev_get_by_index" },
	{ 0x3a5c1f86, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa03f757a, "trace_event_reg" },
	{ 0xf490de66, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd7e29721, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x32a0cb3b, "bpf_trace_run1" },
	{ 0x90c9fd0d, "device_del" },
	{ 0x69801008, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6edffcf3, "__pskb_pull_tail" },
	{ 0x7f1a8d4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xbafdfbd2, "bpf_trace_run3" },
	{ 0x5a249f58, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21968fe1, "get_net_ns_by_pid" },
	{ 0x7c769fad, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9c51f4dc, "device_match_name" },
	{ 0x6fc5b116, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f010967, "genl_unregister_family" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x8a4d816c, "genl_register_family" },
	{ 0xf6610fa8, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x5aa47f8c, "register_pernet_device" },
	{ 0x2509f332, "get_net_ns_by_fd" },
	{ 0x71164703, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x79a76c72, "class_find_device" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "003303CC80E2DF6DC9316AD");
MODULE_INFO(rhelversion, "9.7");
