#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x146e4a07, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xd7445080, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x8f180673, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xf32f75ff, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x5548724f, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x8b258e3d, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xa3f6331a, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xffb9aa71, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x350fd247, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xc98945c3, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xd4e2a340, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x4a28477d, "");
SYMBOL_CRC(key_type_rxrpc, 0xaddbcc2e, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xa9510ef7, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xfaf4c789, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x32352706, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xd5189895, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xd1e7a495, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x4121d990, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x3aafc34e, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x28e47485, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x27602459, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xe8ef1907, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x8f1d5627, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d0da458, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x366fcf58, "key_alloc" },
	{ 0xe0c971e3, "bpf_trace_run4" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x2d49bd39, "param_ops_uint" },
	{ 0x775ff5c3, "register_net_sysctl" },
	{ 0xcfb0a2f4, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e249c36, "trace_raw_output_prep" },
	{ 0xa7d9dca5, "udp_sock_create4" },
	{ 0x5dfb402d, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xbf5c7f2f, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd30fb3ba, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x86088f6f, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xb0f65e6, "udpv6_sendmsg" },
	{ 0xe7b71d8d, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdd65eddf, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc01abc0b, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x42733937, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xfa63b50c, "event_triggers_call" },
	{ 0x38fb6578, "crypto_skcipher_setkey" },
	{ 0xcfb940ac, "ip_route_output_flow" },
	{ 0xe579b665, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2b73b4f8, "key_instantiate_and_link" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x23e659c3, "register_key_type" },
	{ 0x48d52eac, "proc_create_net_data" },
	{ 0x89fc0a8f, "put_cmsg" },
	{ 0x10940285, "wake_up_process" },
	{ 0xe5e2cfe3, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x51a7ee10, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x35f99dc8, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb8f6fba4, "sock_register" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x969ad660, "trace_event_ignore_this_pid" },
	{ 0xd9c02835, "crypto_skcipher_decrypt" },
	{ 0x891744dd, "make_kuid" },
	{ 0x68974db5, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0xbf072d3f, "kmem_cache_alloc" },
	{ 0xe4c11f16, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xbeed7077, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd8ea0a8c, "__sock_recv_timestamp" },
	{ 0x3756f999, "key_put" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x996cad23, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x472c5436, "init_net" },
	{ 0xdb8f867f, "skb_pull" },
	{ 0x6762e507, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0x29e02a2a, "sock_enable_timestamps" },
	{ 0x5dffa6f2, "ip_sock_set_mtu_discover" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0xc734f833, "bpf_trace_run5" },
	{ 0xe0f00f98, "sk_free" },
	{ 0xfedb5e3a, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb8f68f54, "kernel_sock_shutdown" },
	{ 0x70fc53ff, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6609165c, "kmem_cache_free" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0xa03f757a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf991525c, "iov_iter_kvec" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd7e29721, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x6957222, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xebb34e22, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x50f443e0, "skb_copy_datagram_iter" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x1b15f241, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5396a22d, "sk_alloc" },
	{ 0x32a0cb3b, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6736c1cb, "__sock_recv_wifi_status" },
	{ 0xd450faff, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7a02de03, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x601d0fd0, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x1fd7d58d, "key_validate" },
	{ 0xa7f1ea91, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x99983d7a, "crypto_alloc_sync_skcipher" },
	{ 0x72d42d00, "setup_udp_tunnel_sock" },
	{ 0x99ec0b25, "proc_remove" },
	{ 0x1053c891, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0xc5d788c3, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xbafdfbd2, "bpf_trace_run3" },
	{ 0x6c61b81a, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c769fad, "trace_event_buffer_reserve" },
	{ 0x794680cf, "keyring_search" },
	{ 0x2b5d7bea, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2887ff51, "request_key_tag" },
	{ 0x6414c64, "generic_key_instantiate" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x35967733, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xf724e8dc, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xedb894d0, "skb_clone" },
	{ 0xd14cdd13, "dst_release" },
	{ 0xbb08a3ed, "_copy_from_iter" },
	{ 0xf4fec0b3, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xf350330c, "seq_puts" },
	{ 0xb191a13d, "sock_no_ioctl" },
	{ 0x10021418, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x958e39dd, "bpf_trace_run7" },
	{ 0xffc15a47, "iov_iter_revert" },
	{ 0x8f26ea6b, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x9575f96d, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5aa47f8c, "register_pernet_device" },
	{ 0xc7f1033e, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3c25e188, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x4f1b2d34, "kmem_cache_destroy" },
	{ 0x934b4767, "release_sock" },
	{ 0x1035f928, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf3774d1a, "proc_create_net_single_write" },
	{ 0x11a21030, "crypto_alloc_skcipher" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "233636CE9B3CEB216CDE78F");
MODULE_INFO(rhelversion, "9.7");
