#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xe9c1d7b5, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x1098a468, "_gpl");
SYMBOL_CRC(tls_get_record, 0x762b5c6c, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xb122ecfb, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x66436857, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x184207bf, "sk_msg_free" },
	{ 0xf0aba620, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9cd5d310, "tcp_read_sock" },
	{ 0xe0c971e3, "bpf_trace_run4" },
	{ 0x494da255, "skb_copy_bits" },
	{ 0x4d568161, "sk_page_frag_refill" },
	{ 0x713c4086, "skb_put" },
	{ 0xcfb0a2f4, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e249c36, "trace_raw_output_prep" },
	{ 0x68e9bd8a, "sk_psock_msg_verdict" },
	{ 0x5dfb402d, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xd30fb3ba, "trace_event_printf" },
	{ 0x6b1a14c1, "iov_iter_get_pages2" },
	{ 0x78810bdd, "___pskb_trim" },
	{ 0xdd65eddf, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x960da985, "clean_acked_data_enable" },
	{ 0xbb00af90, "skb_splice_bits" },
	{ 0xaae40b92, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xe434781, "crypto_aead_setauthsize" },
	{ 0x6dd1047a, "crypto_aead_decrypt" },
	{ 0xfa63b50c, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x1c45b08e, "sk_stream_error" },
	{ 0x64e0e5b5, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb2a5d462, "sk_msg_memcopy_from_iter" },
	{ 0x7a07b83c, "sk_error_report" },
	{ 0xbd947d9d, "register_pernet_subsys" },
	{ 0x89fc0a8f, "put_cmsg" },
	{ 0x15737743, "__sk_flush_backlog" },
	{ 0xe5e2cfe3, "trace_event_buffer_commit" },
	{ 0x51a7ee10, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xdc906b, "do_tcp_sendpages" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x21a3c37d, "sk_psock_tls_strp_read" },
	{ 0xf7cf931d, "sk_msg_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x969ad660, "trace_event_ignore_this_pid" },
	{ 0xb7a80b8b, "__alloc_skb" },
	{ 0x970db263, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd3cd7bd5, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc813f783, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x996cad23, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xf197bb38, "__traceiter_sk_data_ready" },
	{ 0xea8142, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xa8ec7963, "crypto_aead_encrypt" },
	{ 0x934670b9, "sk_skb_reason_drop" },
	{ 0xc734f833, "bpf_trace_run5" },
	{ 0xe0f00f98, "sk_free" },
	{ 0xd6fa604f, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf5a244a6, "__sk_mem_reclaim" },
	{ 0x7ace7dc2, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa03f757a, "trace_event_reg" },
	{ 0xf991525c, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x1c1669d8, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x6957222, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x873c562f, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x50f443e0, "skb_copy_datagram_iter" },
	{ 0x32a0cb3b, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x30d29530, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6cdbb217, "sock_efree" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x49fbf584, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd70c0cf6, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xbcab7394, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x7f1a8d4, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe6ba6c9, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x8914d340, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xbafdfbd2, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7eed9741, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xae4981c7, "skb_page_frag_refill" },
	{ 0x7c769fad, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x3a0b22c2, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xf8905feb, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xba322f02, "__folio_put" },
	{ 0xf12df135, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc4cc67d3, "seq_printf" },
	{ 0x15613296, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xedb894d0, "skb_clone" },
	{ 0xd14cdd13, "dst_release" },
	{ 0xbb08a3ed, "_copy_from_iter" },
	{ 0x5ba785cb, "skb_copy_header" },
	{ 0xf7802921, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe88fd89f, "netdev_sk_get_lowest_dev" },
	{ 0x655cd733, "sk_msg_alloc" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x19df7bf9, "_copy_from_iter_nocache" },
	{ 0x31baeb24, "tcp_rate_check_app_limited" },
	{ 0xf0c9b0c0, "tcp_poll" },
	{ 0xffc15a47, "iov_iter_revert" },
	{ 0x4794ec82, "sk_msg_zerocopy_from_iter" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x9575f96d, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xfb8e1f78, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0x8254ccba, "tcp_read_done" },
	{ 0x934b4767, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB3D7F0602F4B97BCD49213");
MODULE_INFO(rhelversion, "9.7");
