#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x99f4591c, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xca541308, "_gpl");
SYMBOL_CRC(oiap, 0x3f665907, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ae90476, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xc3fa4b43, "tpm_buf_append_u8" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xd0cb3ff4, "look_up_OID" },
	{ 0xe7b71d8d, "unregister_key_type" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0c6ceb7, "tpm_buf_append" },
	{ 0x233f5316, "sprint_oid" },
	{ 0x950f5702, "tpm2_flush_context" },
	{ 0x23e659c3, "register_key_type" },
	{ 0xa68a2538, "tpm_buf_destroy" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x51a7ee10, "crypto_destroy_tfm" },
	{ 0x66d1f91e, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xfdb907b5, "tpm_buf_append_u16" },
	{ 0x76dbfdf1, "put_device" },
	{ 0xcf396cef, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf538a672, "tpm_buf_read_u32" },
	{ 0xd0ddc20b, "tpm_default_chip" },
	{ 0x3c48b75e, "tpm_buf_init" },
	{ 0x120c243d, "crypto_shash_setkey" },
	{ 0xc315cd65, "user_describe" },
	{ 0xd6c5d678, "tpm_buf_reset" },
	{ 0x85abc85f, "strncmp" },
	{ 0x9fdcec68, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc593609d, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x436074ec, "crypto_shash_update" },
	{ 0x8fe2efd9, "tpm_buf_init_sized" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb8fef776, "param_ops_charp" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x18b9b40c, "tpm_is_tpm2" },
	{ 0x6bdba8db, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x80c4b17f, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe182e929, "tpm_put_ops" },
	{ 0xc46a4904, "tpm_buf_append_u32" },
	{ 0xd5acdf62, "tpm_buf_length" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd031b589, "asn1_ber_decoder" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x70fed3b2, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x64b35e88, "tpm_buf_reset_sized" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc28ff32, "kmalloc_caches" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "7FA60BCAFA18BA7EAB51160");
MODULE_INFO(rhelversion, "9.7");
